# $Revision: 1.12 $, $Date: 2010/10/22 19:28:45 $
%include	/usr/lib/rpm/macros.mono
Summary:	WebKit# - A Mono WebKit binding
Summary(pl.UTF-8):	WebKit# - wiązanie WebKit dla Mono
Name:		dotnet-webkit-sharp
Version:	0.3
Release:	4
License:	X11/MIT
Group:		Libraries
Source0:	http://ftp.novell.com/pub/mono/sources/webkit-sharp/webkit-sharp-%{version}.tar.bz2
# Source0-md5:	21482f9d5eafb0ef4acc6e790482f934
Patch0:		%{name}-pc.patch
URL:		http://www.mono-project.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dotnet-gtk-sharp2-devel >= 1.9.3
BuildRequires:	gtk-webkit-devel >= 1.1.15
BuildRequires:	mono-csharp >= 1.1.0
BuildRequires:	monodoc >= 2.6
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser. It is made to be
embedded in other applications, such as mail readers, or web browsers.

This package provides Mono bindings for WebKit libraries.

%description -l pl.UTF-8
WebKit to silnik przeglądarki internetowej, wywodzący się z projektów
KHTML i KJS dla platformy KDE, używany głównie w przeglądarce Safari
firmy Apple. Stworzony został aby móc osadzać go w innych aplikacjach,
takich jak czytniki poczty czy przeglądarki stron internetowych.

Ten pakiet dostarcza dowiązań Mono do bibliotek WebKit.

%package devel
Summary:	WebKit# development files
Summary(pl.UTF-8):	Pliki programistyczne WebKit#
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	monodoc >= 2.6

%description devel
WebKit# development files.

%description devel -l pl.UTF-8
Pliki programistyczne WebKit#.

%prep
%setup -q -n webkit-sharp-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install samples/*.cs $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%{_prefix}/lib/mono/gac/webkit-sharp

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/webkit-sharp
%{_pkgconfigdir}/webkit-sharp-1.0.pc
%{_prefix}/lib/monodoc/sources/webkit-sharp-docs*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-webkit-sharp.spec,v $
Revision 1.12  2010/10/22 19:28:45  megabajt
- release 4

Revision 1.11  2010/03/12 11:09:32  megabajt
- increased required version of monodoc

Revision 1.10  2010/03/12 10:34:19  megabajt
- use %{_prefix}/lib for monodoc
- release 3

Revision 1.9  2010/03/11 21:43:46  megabajt
- added -pc.patch
- release 2

Revision 1.8  2010/01/21 16:45:38  megabajt
- updated to 0.3
- removed webkit-dllmap-fix.patch (applied upstream)

Revision 1.7  2009/08/10 21:45:23  vip
- update for latest gtk-webkit library .so name
- rel up, STBR

Revision 1.6  2008/10/25 12:10:31  vip
- rel up, STBR

Revision 1.5  2008/10/16 16:15:37  megabajt
- fixed build on x86_64

Revision 1.4  2008/10/06 15:58:30  wolf
- 0.2

Revision 1.3  2008-06-11 20:10:08  vip
- pl

Revision 1.2  2008-06-11 18:49:55  vip
- package samples

Revision 1.1  2008-06-11 18:42:37  vip
- new
